aboutsummaryrefslogblamecommitdiffstats
path: root/community/kipi-plugins/APKBUILD
blob: 4c0bd3ff5ea0f9c1f0997f6c5118d35806a66d78 (plain) (tree)
1
2
3
4
5
6
7


                                                  
              

                                                                                   
                                                                       


















                                                                                                                                                                         
                                                                                                                                                                          
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kipi-plugins
pkgver=20.08.3
pkgrel=0
pkgdesc="A collection of plugins extending the KDE graphics and image applications"
arch="all !armhf !s390x !mips64" # armhf blocked by extra-cmake-modules
url="https://userbase.kde.org/KIPI"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtxmlpatterns-dev qt5-qtsvg-dev kconfig-dev kwindowsystem-dev kxmlgui-dev ki18n-dev karchive-dev kio-dev libkipi-dev"
source="https://download.kde.org/stable/release-service/$pkgver/src/kipi-plugins-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests

build() {
	cmake -B build \
		-DCMAKE_BUILD_TYPE=None \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib
	cmake --build build
}

package() {
	DESTDIR="$pkgdir" cmake --build build --target install
}

sha512sums="89b65b600e09738cfbd503c76395a4d5b9d7efa46457b6616eab9fc8653c842383dba978316ee66c9e78d6a7d47b908526ddb956cc8321197ab1d6879b39a34c  kipi-plugins-20.08.3.tar.xz"